#! /bin/bash

set -e

. ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

VERSION="1.0.1"

# Clone Upstream
git clone --recurse-submodules https://github.com/ghostty-org/ghostty.git -b v"$VERSION"
cp -rvf ./debian ./ghostty/
cd ./ghostty

# Get build deps
LOGNAME=root dh_make --createorig -y -l -p ghostty-glfw_"$VERSION" || echo "dh-make: Ignoring Last Error"
apt-get build-dep ./ -y

# Build package
dpkg-buildpackage --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
